Subject: bug#24496: offloading should fall back to local build after n tries

From: Ludovic Courtès <[email-masked]>
Date: Tue, 21 Dec 2021 15:28:35 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> I just reviewed this commit, and don't see anywhere where the behavior
> would have changed.  The discarding happens here:
>
> -         (if (and node (< load 2.) (>= space %minimum-disk-space))
> +         (if (and node
> +                  (or (not threshold) (< load threshold))
> +                  (>= space %minimum-disk-space))
>
> previously load could be set to +inf.0.  Now it is a float between 0.0
> and 1.0, with threshold defaulting to 0.6.

Ah alright, so we’re fine.

> As far as I remember, this has always been a problem for me (busy
> offload machines being forever retried with no fallback to the local
> machine).

OK, I guess I’m overlooking something.

Thanks,
Ludo’.